{#
/**
 * @file
 * Theme override to display a view of unformatted rows.
 *
 * Available variables:
 * - title: The title of this group of rows. May be empty.
 * - rows: A list of the view's row items.
 *   - attributes: The row's HTML attributes.
 *   - content: The row's content.
 * - view: The view object.
 * - default_row_class: A flag indicating whether default classes should be
 *   used on rows.
 *
 * #webksde-TF: We've added this file just because of this damn issue: https://www.drupal.org/project/drupal/issues/1968398
 *              So: DON'T print out {{ rows }} directly in an unformatted views-view template!
 * @see template_preprocess_views_view_unformatted()
 */
#}
{# Streamlined this view to have less wrappers #}
{% set icon_class_confirm_read = 'ico-db-check-circle' %}
{% set icon_class_badge = 'ico-db-info' %}
{% set news_badge_attributes = create_attribute() %}
{% set news_badge_classes = [
  'news-badge',
  'news-badge--hidden'
]%}
{% block news_badge %}
  {{ attach_library('drowl_base/highlight_news') }}
  {% for row in rows %}
    {% if row.content['#row'].node_field_data_created %}
    <div{{ news_badge_attributes.addClass(news_badge_classes).setAttribute('data-news-cookie-timestamp', row.content['#row'].nid|clean_id ~ '-' ~ row.content['#row'].node_field_data_created|clean_id) }}>
      {# The node title field is N/A here.. for whatever reason. So grab it by twig tweak: #}
      {% set currentNode = drupal_entity('node', row.content['#row'].nid, 'teaser') %}
      {% block news_badge_icon %}
        <i class="news-badge__icon {{ icon_class_badge }} ico--circled ico--lg bg-white text-primary" title="{{ 'Show news'|t }}"></i>
      {% endblock news_badge_icon %}
      {% block news_badge_title %}
        <div class="news-badge__title">{{ drupal_link(currentNode['#node'].get('title').value, 'node/' ~ row.content['#row'].nid) }} <i class="news-badge__confirm-read {{ icon_class_confirm_read }}" title="{{ 'Mark as read'|t }}"></i></div>
      {% endblock news_badge_title %}
    </div>
    {% else %}
      <div class="alert alert-warning">Views Field "node_field_data_created" not found - this is needed to set the cookie.</div>
    {% endif %}
  {% endfor %}
{% endblock %}
